ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0018081ClearOSclamavpublic2017-12-03 14:552017-12-05 12:02
ReporterNickH 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version7.4.0 
Target Version7.4.0 UpdatesFixed in Version 
Summary0018081: clearsdn-antimalware since 29/11/2017 potentially stop clamav from starting
DescriptionSince clearsdn-antimalware-6.1-20171128.1025.noarch, the start time for clamd has doubled. In my case it has gone from 10s to about 19s on a Core i3-4130 machine. On a slower n3150 machine on the forum (https://www.clearos.com/clearfoundation/social/community/clamd-start-up-times-out# [^]) start up times went from40s to over 90s. Unfortunately systemd has a 90s timeout after which it will fail an app rather than keep trying to start it.

Can the rules be investigated? Alternatively, can a timeout override be put into the startup file, /usr/lib/systemd/system/clamd.service? Details are in the accepted answer in the forum post.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006811)
pbaldwin (administrator)
2017-12-05 08:35

The blurl.ndb signature database increased from about 10,000 to 40,000 signatures. Removing that particular signature file will improve the start time for ClamAV, however, that's not recommended. As a workaround, we can add the TimeoutStartSec parameter to the systemd configlet, but that change might get reverted in ClearOS 8.

Note: we're adding a tool to help protect users from adding resource-intensive apps (see https://www.clearos.com/resources/documentation/clearos/content:en_us:6_b_system_requirements#size_requirements [^]) to low-memory systems -- tracker 0017821. We might have to expand the scope to include compute power too -- ClamAV needs quite a bit of horsepower!

- Issue History
Date Modified Username Field Change
2017-12-03 14:55 NickH New Issue
2017-12-05 08:24 pbaldwin Status new => confirmed
2017-12-05 08:24 pbaldwin Category app-antivirus - Gateway Antivirus => clamav
2017-12-05 08:35 pbaldwin Note Added: 0006811
2017-12-05 08:36 pbaldwin Target Version => 7.4.0 Updates
2017-12-05 12:02 pbaldwin Status confirmed => resolved
2017-12-05 12:02 pbaldwin Resolution open => fixed
2017-12-05 12:02 pbaldwin Assigned To => pbaldwin